#include "SoftwareSerial.h"
#include "MeOrion.h"


//limit switches
MeLimitSwitch x_limitSwitch1(PORT_3,SLOT1);
MeLimitSwitch x_limitSwitch2(PORT_3,SLOT2);

MeLimitSwitch y_limitSwitch1(PORT_6,SLOT1);
MeLimitSwitch y_limitSwitch2(PORT_6,SLOT2);

//common globals
//bool ABORT = false;

void setup() 
{ 
  //init serial interface
  Serial.begin(9600);
    
  Serial.println("Arduino is up and ready");
}


void loop() 
{
  if (Serial.available() > 0)
  {   
    CheckLimitSwitches();
  }
}




void CheckLimitSwitches()
{  
   if(x_limitSwitch1.touched()) //If the limit switch is touched, the  return value is true.
   {
    delay(10); 
    Serial.println("x_limitSwitch1.");    
   }
   if(x_limitSwitch2.touched()) //If the limit switch is touched, the  return value is true.
   {
    delay(10); 
    Serial.println("x_limitSwitch2.");
   }
   if(y_limitSwitch1.touched()) //If the limit switch is touched, the  return value is true.
   {
    delay(10); 
    Serial.println("y_limitSwitch1.");
  
   }
   if(y_limitSwitch2.touched()) //If the limit switch is touched, the  return value is true.
   {
    delay(10);  
    Serial.println("y_limitSwitch2."); 
   }  
}

